<div>
  <p>Numeri pari:</p>
  <div *ngFor="let num of counter">
    <div *ngIf="num % 2 === 0">{{num}}</div>
  </div>
</div>
<!--Avrei potuto utilizzare <ng-container ...> al posto dei due div -->
<div>
  <p>Numeri dispari:</p>
  <div *ngFor="let num of counter">
    <div *ngIf="num % 2 != 0">{{num}}</div>
  </div>
</div>
<app-hero-section 
  [mainText]="mainText" 
  [secondText]="secondText">
</app-hero-section>